Bug 503831 - NFR: Split jigdo in CLI and WYSIWYG package
NFR: Split jigdo in CLI and WYSIWYG package
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: jigdo (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Ian Burrell
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 18:04 EDT by Jonathan Martens
Modified: 2017-04-06 06:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:37:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Martens 2009-06-02 18:04:47 EDT
I am using the latest jigdo released in EPEL for EL5 the moment on CentOS 5.3 at the time of writing: jigdo-0.7.3-4.el5

When I installed jigdo a lot of libX related packages were dragged into my minimal installation. Since jigdo has a functional CLI interface (jigdo-lite) and a WYSIWYG interface which is currently not fully functional).

Since I do my work mainly on the CLI (on a system as minimal as possible) I was wondering if it would be possible to split the package in a non-WYSIWYG package (containing only jigdo-lite) and a WYSIWYG package (containing graphical stuff), this would save me a lot of libX* related packages:

[root@mirror ~]# rpm -qa --last | grep 'Tue 02 Jun 2009'
which-2.16-7                                  Tue 02 Jun 2009 10:44:53 PM CEST
jigdo-0.7.3-4.el5                             Tue 02 Jun 2009 10:11:18 PM CEST
gtk2-2.10.4-20.el5                            Tue 02 Jun 2009 10:11:16 PM CEST
pango-1.14.9-5.el5.centos                     Tue 02 Jun 2009 10:11:15 PM CEST
libXrandr-1.1.1-3.1                           Tue 02 Jun 2009 10:11:14 PM CEST
libXinerama-1.0.1-2.1                         Tue 02 Jun 2009 10:11:14 PM CEST
libXi-1.0.1-3.1                               Tue 02 Jun 2009 10:11:14 PM CEST
libXft-2.1.10-1.1                             Tue 02 Jun 2009 10:11:14 PM CEST
libXrender-0.9.1-3.1                          Tue 02 Jun 2009 10:11:13 PM CEST
libXfixes-4.0.1-2.1                           Tue 02 Jun 2009 10:11:13 PM CEST
libXext-1.0.1-2.1                             Tue 02 Jun 2009 10:11:13 PM CEST
libXcursor-1.1.7-1.1                          Tue 02 Jun 2009 10:11:13 PM CEST
cairo-1.2.4-5.el5                             Tue 02 Jun 2009 10:11:13 PM CEST
libXdmcp-1.0.1-2.1                            Tue 02 Jun 2009 10:11:12 PM CEST
libX11-1.0.3-9.el5                            Tue 02 Jun 2009 10:11:12 PM CEST
gnutls-1.4.1-3.el5_2.1                        Tue 02 Jun 2009 10:11:11 PM CEST
curl-7.15.5-2.1.el5_3.4                       Tue 02 Jun 2009 10:11:11 PM CEST
cups-libs-1.3.7-8.el5_3.4                     Tue 02 Jun 2009 10:11:11 PM CEST
libXau-1.0.1-3.1                              Tue 02 Jun 2009 10:11:10 PM CEST
atk-1.12.2-1.fc6                              Tue 02 Jun 2009 10:11:10 PM CEST
libtiff-3.8.2-7.el5_2.2                       Tue 02 Jun 2009 10:11:09 PM CEST
libpng-1.2.10-7.1.el5_3.2                     Tue 02 Jun 2009 10:11:09 PM CEST
libjpeg-6b-37                                 Tue 02 Jun 2009 10:11:09 PM CEST
xorg-x11-filesystem-7.1-2.fc6                 Tue 02 Jun 2009 10:11:06 PM CEST
fontconfig-2.4.1-7.el5                        Tue 02 Jun 2009 10:11:06 PM CEST
hicolor-icon-theme-0.9-2.1                    Tue 02 Jun 2009 10:11:05 PM CEST
freetype-2.2.1-21.el5_3                       Tue 02 Jun 2009 10:11:04 PM CEST
[root@mirror ~]#
Comment 1 Ian Burrell 2010-01-17 19:17:08 EST
I assume jigod-file would also go in the minimal package. What do you think it should be called?
Comment 2 Jonathan Martens 2010-01-18 04:10:54 EST
(In reply to comment #1)
> I assume jigod-file would also go in the minimal package. 

I guess that would be nice indeed.

> What do you think it should be called?    

Why not keep the current naming convention used for the programs itself? Is there a problem with that? IMHO jigdo for the graphical UI package is OK as well as me being satisfied with the name jigdo-lite for the CLI package. Perhaps jigdo-cli could also be an option (analogue to php/php-cli).
Comment 3 Fedora End Of Life 2017-04-06 06:37:16 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.